Arch: SplitMesh/Împărțirea Plasei

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SplitMesh and the translation is 25% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Arch SplitMesh.svg Arch SplitMesh

poziția meniului
Arch → Utilities → Split Mesh
Workbenches
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch SelectNonSolidMeshes, Arch MeshToShape


Descriere

Acest instrument împarte un obiect selectat Mesh în componentele sale separate

Cum se folosește

  1. Selectați un obiect tip plasă
  2. Apăsați Arch SplitMesh.png Split Mesh entry in Arch -> Utilities menu

Scrip-Programare

Instrumentul Split Mesh poate fi utilizat în macros și din consola python utilizând următoarea funcție:

new_list = splitMesh(obj, mark=True)

împarte obiectul tip plasă dat în componente separate.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)